Core - Task # 55044

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance
Story # 55079 (New): review Extbase caching for frontend and backend

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: Caching
Created: 2014-01-16 Assigned To: Benjamin Mack
Updated: 2014-01-27 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Make Extbase use cache group "pages”

Description

As there is the possibility to use grouped caching in
order to be more flexible, Extbase should not use
hard-coded cache names for clearing the frontend
cache (cache_pagesection and cache_pages) but use
the group, so other caches could be triggered as well.

Associated revisions

Revision 1b15a7e2 - 2014-01-27 17:21 - Benjamin Mack

[TASK] Make Extbase use cache group "pages"

As there is the possibility to use grouped caching in
order to be more flexible, Extbase should not use
hard-coded cache names for clearing the frontend
cache (cache_pagesection and cache_pages) but use

the group, so other caches could be triggered as well.

Releases: 6.2

Resolves: #55044

Change-Id: 18077f889fce7561170bffc7f97c1884c698d673c
Reviewed-on: https://review.typo3.org/26866

Reviewed-by: Felix Oertel
Tested-by: Felix Oertel

History

#1 - 2014-01-16 10:41 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26866
#2 - 2014-01-16 12:27 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26866

#3 - 2014-01-16 12:34 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26866

#4 - 2014-01-16 16:36 - Ingo Schmitt
- Parent task set to #55079

#5 - 2014-01-27 17:20 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26866

#6 - 2014-01-27 17:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1b15a7e287c8bafb981109e621001e2159d2d2cf.
